import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class HasOwnProperty implements PipeTransform {
    /**
     * Checks whether the specified property exists within the given object.
     *
     * @param {unknown} object - The object to check for the presence of the property.
     * @param {string} prop - The property name to check for within the object.
     * @return {boolean} - Returns `true` if the property exists in the object, `false` otherwise.
     */
    transform(object: unknown, prop: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<HasOwnProperty, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<HasOwnProperty, "hasOwnProperty", false>;
}
