import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class LogPipe implements PipeTransform {
    /**
     * Logs the provided value to the console.
     *
     * @param value The value to log to the console.
     * @param text An optional textual value to print before the piped value.
     */
    transform(value: any, text?: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LogPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<LogPipe, "log", false>;
}
