import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * A pipe to pass a transformer function to. By using this setup, we can use functions without causing rerender issues
 */
export declare class TransformPipe implements PipeTransform {
    /**
     * Transforms a value based on a provided transform function
     *
     * @param value - The provided value we wish to transform
     * @param transformer - A provided transform function
     */
    transform<TransformerType = any>(value: any, transformer: Function): TransformerType;
    static ɵfac: i0.ɵɵFactoryDeclaration<TransformPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<TransformPipe, "transform", false>;
}
