import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class HighlightPipe implements PipeTransform {
    /**
     * Highlights the provided substring of a test with the chosen dom element
     *
     * @param value - The full text with the part we wish to highlight
     * @param highlight - The part of the text we wish to highlight
     * @param domElement - The dom-element we wish to use to highlight, by default this is a `mark` element
     */
    transform(value: string, highlight: string, domElement?: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<HighlightPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<HighlightPipe, "highlight", false>;
}
