import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MergeArraysPipe implements PipeTransform {
    /**
     * The mergeArrays pipe will take a source array and concat it with all provided additional arrays.
     * Undefined or null values are filtered from the flattened result.
     *
     * @param source{any[]}
     * @param arrays{any[]}
     */
    transform(source?: any[], ...arrays: any[][]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<MergeArraysPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<MergeArraysPipe, "mergeArrays", false>;
}
