import { PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { WithRouterLinksConfig, LinkReference } from '../../types';
import * as i0 from "@angular/core";
/**
 * An additional pipe to convert anchors to router-links
 */
export declare class WithRouterLinkPipe implements PipeTransform {
    private readonly config;
    private readonly sanitizer;
    constructor(config: WithRouterLinksConfig, sanitizer: DomSanitizer);
    /**
     * transform
     *
     * The transform method loop through the linkReferences and find/replace matching
     * references within the given value (string) with the provided web component (global/local config).
     *
     * @param value
     * @param linkReferences
     */
    transform(value: string, linkReferences?: LinkReference[]): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<WithRouterLinkPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<WithRouterLinkPipe, "withRouterLinks", false>;
}
